# app2.py

from flask import Flask, request,\
    render_template

app = Flask(__name__)

@app.route(
    rule="/exemplo_get",
    methods=["GET"]
)
def exemplo_receber_dados_por_get():
    dados_enviados:dict = \
        request.args.to_dict()

    b_existe_e_esta_checked:bool = \
        "check_subs" in \
            dados_enviados.keys()

    b_k_nome_existe = "nome" in \
        dados_enviados.keys()

    if(b_k_nome_existe):
        nome = dados_enviados['nome']
        return f"Olá {nome}"
    # if

    html = "<ul>"
    for k, v in dados_enviados.items():
        html+=f"<li>{k} = {v}</li>"
    # for
    html+="</ul>"
    return html
# def exemplo_receber_dados_por_get

@app.route("/", methods=["GET"])
def serve_root():
    return render_template("2.html")
# def serve_root

if __name__ == '__main__':
    app.run(
        debug=True,
        #port=5000
    )